#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

Summary:	QR Code encoder into PNG image
Summary(pl.UTF-8):	Koder kodu QR do obrazów PNG
Name:		qrencode
Version:	4.1.1
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Applications/File
Source0:	https://fukuchi.org/works/qrencode/%{name}-%{version}.tar.bz2
# Source0-md5:	de7185bcab635a34730e1b73d4efa705
URL:		https://fukuchi.org/works/qrencode/index.en.html
BuildRequires:	SDL2-devel >= 2.0.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libpng-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qrencode is a utility software using libqrencode to encode string data
in a QR Code and save as a PNG image.

%description -l pl.UTF-8
Qrencode to program wykorzystujący libqrencode do kodowania danych
tekstowych w postaci kodu QR i zapisywania do obrazu PNG.

%package libs
Summary:	A C library for encoding data in a QR Code symbol
Summary(pl.UTF-8):	Biblioteka C do kodowania danych w postaci symboli kodu QR
Group:		Libraries

%description libs
Libqrencode is a C library for encoding data in a QR Code symbol, a
kind of 2D symbology that can be scanned by handy terminals such as a
mobile phone with CCD. The capacity of QR Code is up to 7000 digits or
4000 characters, and is highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese
Industrial Standards) X0510:2004 or ISO/IEC 18004.

%description libs -l pl.UTF-8
Libqrencode to biblioteka C do kodowania danych w postaci symboli kodu
QR. Są to dwuwymiarowe symbole, które można skanować podręcznymi
terminalami, takimi jak telefony komórkowe z czujnikiem CCD. Pojemność
kodu QR wynosi do 7000 cyfr lub 4000 znaków.

Libqrencode obsługuje kod QR w modelu 2, opisany w japońskim
standardzie JIS X0510:2004 oraz w ISO/IEC 18004.

%package devel
Summary:	The development files for the qrencode library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki qrencode
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Libqrencode is a C library for encoding data in a QR Code symbol, a
kind of 2D symbology that can be scanned by handy terminals such as a
mobile phone with CCD. The capacity of QR Code is up to 7000 digits or
4000 characters, and is highly robustness.

Libqrencode supports QR Code model 2, described in JIS (Japanese
Industrial Standards) X0510:2004 or ISO/IEC 18004.

This package contains the development files for the qrencode library.

%description devel -l pl.UTF-8
Libqrencode to biblioteka C do kodowania danych w postaci symboli kodu
QR. Są to dwuwymiarowe symbole, które można skanować podręcznymi
terminalami, takimi jak telefony komórkowe z czujnikiem CCD. Pojemność
kodu QR wynosi do 7000 cyfr lub 4000 znaków.

Libqrencode obsługuje kod QR w modelu 2, opisany w japońskim
standardzie JIS X0510:2004 oraz w ISO/IEC 18004.

Ten pakiet zawiera pliki programistyczne biblioteki qrencode.

%package static
Summary:	Static qrencode library
Summary(pl.UTF-8):	Statyczna biblioteka qrencode
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static qrencode library.

%description static -l pl.UTF-8
Statyczna biblioteka qrencode.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static} \
	--with-tests

%{__make}

# manual
doxygen

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libqrencode.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libqrencode.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libqrencode.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qrencode
%{_mandir}/man1/qrencode.1*

%files libs
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) /%{_lib}/libqrencode.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libqrencode.so.4

%files devel
%defattr(644,root,root,755)
%doc html/*.{css,html,js,png}
%attr(755,root,root) %{_libdir}/libqrencode.so
%{_includedir}/qrencode.h
%{_pkgconfigdir}/libqrencode.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libqrencode.a
%endif
%changelog
* Sun Apr 28 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/qrencode.git;a=log;h=master

* Sun Jul 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 8a06a35
- updated to 4.1.1

* Sun May 03 2020 Jan Palus <atler@pld-linux.org> 1f2f26c
- fix build without static libs

* Sat Oct 06 2018 Adam Gołębiowski <adamg@pld-linux.org> 725f836
- updated to 4.0.2

* Sat Nov 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 25a2df6
- updated to 4.0.0 (note: new soname)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> eff5513
- move to /lib, dependency of systemd (journalctl)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 13a8f57
- x32 rebuild
- release 2 (by relup.sh)

* Sat Aug 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 21935a6
- updated to 3.4.4

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e72bd18
- release 2 (by relup.sh)

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 9ec8266
- updated to 3.4.3

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> cf254d7
- updated to 3.4.2 (bugfixes, including incorrect output)

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 4e13b15
- updated to 3.4.1

* Sat Jul 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 3c6d6bf
- pl, cleanup, added -static

* Tue Jul 17 2012 Artur Frysiak <artur@frysiak.net> 3cc1d66
- Up to 3.3.1
Removed libpng.patch (applied upstream)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6602cb7
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 05f92c5
- release 2

* Sat Jul 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b83c264
- fix ghost

* Sat Jul 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a4a3598
- initial

